Skip to main content
GET
/
v1
/
transcription
/
jobs
List transcription jobs
curl --request GET \
  --url https://api.pyai.com/v1/transcription/jobs \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "job_id": "job_aZ09...",
      "created_at": 123,
      "updated_at": 123,
      "result": {
        "text": "<string>",
        "speakers": 123,
        "audio_seconds": 123,
        "segments": [
          {
            "id": 123,
            "start": 123,
            "end": 123,
            "text": "<string>",
            "speaker": "<string>",
            "channel": 123
          }
        ],
        "words": [
          {}
        ],
        "formats": {}
      },
      "result_url": "<string>",
      "error": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer pyai_live_... (or pyai_test_...).

Query Parameters

limit
integer
default:20

Max items to return (1–100).

Required range: 1 <= x <= 100
cursor
string

Opaque token from a previous page's next_cursor. Omit for the first page.

Response

Jobs

object
string
Example:

"list"

data
object[]
has_more
boolean

True if another page is available.

next_cursor
string | null

Pass as cursor for the next page; null on the last page.